using System.IO;

namespace WS
{
    ///<summary>协议基类</summary>
    public abstract class ProtoComponent : WSComponent, IProto
    {
        public abstract byte Opcode { get; }

        public abstract void Read(MemoryStream stream);

        public abstract int Write(MemoryStream stream);
    }
}
